> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get your credit balance

> Get the current credit balance on your TokenChange account. One credit is worth one US cent. Requires an API token with the billing:read scope.



## OpenAPI

````yaml api-reference/openapi.json GET /v1/balance
openapi: 3.1.0
info:
  title: TokenChange API
  description: >-
    Manage TokenChange resources with a gateway API token. Errors share one
    envelope: `{"error":{"type","code","message"}}`.
  license:
    name: ''
  version: '1'
servers:
  - url: https://api.tokenchange.io
security: []
tags:
  - name: models
    description: Catalog models and endpoints
  - name: keys
    description: Inference API keys
  - name: usage
    description: Usage analytics
  - name: billing
    description: Credit balance and history
  - name: provider
    description: Your provider account, endpoints, validations and earnings
paths:
  /v1/balance:
    get:
      tags:
        - billing
      operationId: balance
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - bearer:
            - billing:read
components:
  schemas:
    Balance:
      type: object
      description: Amounts are in micro-credits (1 credit = 1,000,000).
      required:
        - balance_micro
        - currency
      properties:
        balance_micro:
          type: integer
          format: int64
        currency:
          type: string
    ErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
    ErrorDetail:
      type: object
      required:
        - type
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
        resource_id:
          type:
            - string
            - 'null'
        type:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: A gateway API token (`tcg_…`) created in the dashboard

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.